Follow

What browser versions does FirstGiving support?

FrontStream strongly recommends that you keep your internet browser up-to-date in order to ensure you have the latest security features and tools.  Maintaining regular updates of your internet browser helps you and your organization protect your system and your data.

 

Did you know: Two thirds of the web’s browsers are considered “outdated”! Outdated browsers present a challenge for developers as they continue to design internet products with modern web standards.


The FrontStream Support Team will require clients to use the latest versions of Firefox, Chrome, and Safari. Internet Explorer users will be supported on Internet Explorer 9 and above.

You can determine which version of Internet Explorer you are using by choosing the question mark or Help item from the top menu and selecting “About Internet Explorer”.

The latest version of Internet Explorer can be downloaded here: http://windows.microsoft.com/en-us/internet-explorer/download-ie.

 

FrontStream reserves the right to modify our list of supported browsers or remove support in the case of a security vulnerability or modification by the browser developer.

 

Thank you for doing your part to ensure you have a faster, more secure experience on the web!

Was this article helpful?
0 out of 0 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk